Subject: Re: bug#73951: 29.4; 'what-cursor-position' reports SPC instead of TAB in term-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Nov 2024 21:52:36 +0200

> From: Toomas Rosin <[email-masked]>
> cc: [email-masked]
> Comments: In-reply-to Eli Zaretskii <[email-masked]>
>    message dated "Sun, 03 Nov 2024 18:39:13 +0200."
> Date: Mon, 04 Nov 2024 21:37:26 +0200
> 
> Eli Zaretskii <[email-masked]> wrote:
> 
> > Did you try setting indent-tabs-mode to a non-nil value?
> 
> How could I not have thought of this!  But yes, when I set `indent-tabs-mode' to `t' *before* pasting the function definition, and then run "type tawk" in terminal buffer and move point in line mode onto the tab character, `C-x =' says correctly that point is on TAB.
> 
> I had `indent-tabs-mode' set to `nil' globally in my init.el; now I see that it is a good idea to leave `indent-tabs-mode' to `t' in terminal mode.

"M-x term" intentionally resets indent-tabs-mode to nil, with this
comment:

    ;; we do not want indent to sneak in any tabs

So if setting indent-tabs-mode non-nil suits you better, try to be on
the lookout for whatever problems the above comment might hint at; I
don't really understand what it wants to say (but then I don't use
"M-x term").

> I have no more questions.  Thank you.

Thanks, I will therefore close this bug.